Create agent
curl --request POST \
--url https://api.sapt.ai/projects/{projectId}/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"systemPrompt": "<string>",
"toolCategories": [],
"description": "<string>",
"memoryFiles": [
"<string>"
],
"mcpServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"maxSteps": 123,
"metadata": {}
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/agents"
payload = {
"name": "<string>",
"systemPrompt": "<string>",
"toolCategories": [],
"description": "<string>",
"memoryFiles": ["<string>"],
"mcpServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"maxSteps": 123,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
systemPrompt: '<string>',
toolCategories: [],
description: '<string>',
memoryFiles: ['<string>'],
mcpServers: [{name: '<string>', url: '<string>', headers: {}}],
maxSteps: 123,
metadata: {}
})
};
fetch('https://api.sapt.ai/projects/{projectId}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"builtIn": true,
"systemPrompt": "<string>",
"memoryFiles": [
"<string>"
],
"toolCategories": [
"memory"
],
"mcpServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"access": "project_member",
"allowedRoles": [
"<string>"
],
"maxSteps": 123,
"model": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Agents
Create agent
Create a custom agent definition for a project
POST
/
projects
/
{projectId}
/
agents
Create agent
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Available options:
memory, agents, ads, analytics, socials, cms, email, calendar, support, serp, gbp, feedback, agent_schedules, web, onboarding, navigation, interaction Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created agent definition
Show child attributes
Show child attributes